<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
if(!defined('BASE_DIR')) exit;


if(!get_active('products') || @!file_exists(BASE_DIR . '/class/Class.Products.php'))
{
	notActive();
} else {
	if(!permission('products'))
	{
		noperm();
	} else {
		
		include_once(BASE_DIR . '/class/Class.Products.php');
		$Products = new Products;
		
		$_REQUEST['action'] = isset($_REQUEST['action']) ? $_REQUEST['action'] : 'overview';
		switch($_REQUEST['action'])
		{
			case '':
			case 'overview':
				$Products->Overview();
			break;
			
			case 'showproduct':
				$Products->ShowProduct(@$_REQUEST['id']);
			break;
			
			case 'rate':
			break;
			
			case 'quicksearch':
				define('AJAX_OUTPUT',1);
				$Products->AjQuickSearch(@$_REQUEST['q']);
			break;
		}
	}
}
?>